com.google.gwt.core.ext.typeinfo

## Interface JEnumType

All Superinterfaces:
  HasAnnotations, JClassType, JRealClassType, JType

    public interface JEnumType
    extends JRealClassType

Type representing a Java enumerated type.

### Method Summary

All Methods Instance Methods Abstract Methods
`JEnumConstant[]` `getEnumConstants()` Returns the enumeration constants declared by this enumeration.

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JRealClassType

`getLastModifiedTime`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getEnumConstants

    JEnumConstant[] getEnumConstants()

Returns the enumeration constants declared by this enumeration.

Returns:
  enumeration constants declared by this enumeration